## kimi 0.2.0-1

=== test/test_table/Makefile ===
T2 = `date -d "2009-8-15" +%s`

rebuild: clear db.sqlite

clear: 
	rm -f db.sqlite fi

install: rebuild
	mkdir ~/.kimi || true 2>/dev/null
	cp db.sqlite ~/.kimi

db.sqlite: 
	sqlite3 db.sqlite "CREATE TABLE tblEvent (id INTEGER PRIMARY KEY AUTOINCREMENT, id_type INTEGER, title TEXT, start_time INTEGER, end_time INTEGER, description TEXT, remind_time INTEGER, start_day INTEGER, end_day INTEGER, days TEXT, repeat INTEGER, type INTEGER, location TEXT, alarm_cookie INTEGER, service_event_id TEXT);"	
	sqlite3 db.sqlite "INSERT INTO tblEvent (id_type, title, start_time, description, start_day, end_day, days, repeat, type, location, alarm_cookie, service_event_id) VALUES (0, 'Meeting' ,1250334000, 'Meeting about project', null, null, null, null, null, '215', 0, null)"
	sqlite3 db.sqlite "INSERT INTO tblEvent (id_type, title, start_time, description, start_day, end_day, days, repeat, type, location, alarm_cookie, service_event_id) VALUES (0, 'Meeting' ,1250424000, 'Meeting with work', null, null, null, null, null, '217', 0, null)"
	sqlite3 db.sqlite "INSERT INTO tblEvent (id_type, title, start_time, description, start_day, end_day, days, repeat, type, location, alarm_cookie, service_event_id) VALUES (1, 'Breakfast' ,1250319600, 'Breakfast', null, null, null, null, null, 'Home', 0, null)"
	sqlite3 db.sqlite "INSERT INTO tblEvent (id_type, title, start_time, description, start_day, end_day, days, repeat, type, location, alarm_cookie, service_event_id) VALUES (0, 'Go to home' ,1250331300, 'home', null, null, null, null, null, 'Trolleybus', 0, null)"
	sqlite3 db.sqlite "INSERT INTO tblEvent (id_type, title, start_time, description, start_day, end_day, days, repeat, type, location, alarm_cookie, service_event_id) VALUES (0, 'Project meeting' ,1249902000, 'Meeting with work', null, null, null, null, null, 'IT park', 0, null)"
	sqlite3 db.sqlite "INSERT INTO tblEvent (id_type, title, start_time, description, start_day, end_day, days, repeat, type, location, alarm_cookie, service_event_id) VALUES (0, 'Test' ,1244185200, 'test', 1209931200, 1260129600, '1,3,5', 1, 2, 'Test location', 0, null)"

## kimi 0.1.5-1

=== debian/changelog ===
kimi (0.1.5-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <cvetkov@cs.karelia.ru>  Wed,  2 Sep 2009 14:51:19 +0400

=== debian/control ===
Source: kimi
Section: user/communication
Priority: extra
Maintainer: Evgenii Cvetkov <cvetkov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), autotools-dev, intltool, libhildon1-dev, libgtk2.0-dev, libglade2-dev, libglib2.0-dev, libsqlite3-dev, libconic0-dev, libosso-dev, osso-af-settings, libdbus-glib-1-dev, libcurl3-dev, libalarm-dev, libosso-abook-dev
Standards-Version: 3.7.2

Package: kimi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

## kimi 0.1.5-2

=== debian/changelog ===
kimi (0.1.5-2) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <cvetkov@cs.karelia.ru>  Wed,  2 Sep 2009 14:51:19 +0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/kimi.sgml > kimi.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kimi.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kimi install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kimi 0.1.5-3

=== debian/changelog ===
kimi (0.1.5-3) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <cvetkov@cs.karelia.ru>  Wed,  2 Sep 2009 14:51:19 +0400

=== debian/control ===
Source: kimi
Section: user/office
Priority: extra
Maintainer: Evgenii Cvetkov <cvetkov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), autotools-dev, intltool, libhildon1-dev, libgtk2.0-dev, libglade2-dev, libglib2.0-dev, libsqlite3-dev, libconic0-dev, libosso-dev, osso-af-settings, libdbus-glib-1-dev, libcurl3-dev, libalarm-dev, libosso-abook-dev
Standards-Version: 3.7.2

Package: kimi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kimi - the calendaring software for Maemo-based mobile devices.
 Kimi - the calendaring software for Maemo-based mobile devices. Kimi can organize events information and gather this information from various sources. The main goal of the project is to develop an application for simple and convinient management of the user's event space. Also the capability of linking contacts with events is planned.

## kimi 0.2.0-1

=== debian/changelog ===
kimi (0.2.0-1) unstable; urgency=low

  * Application is broken in 3 main parts - library, interface and modules.
    Appropriate package division was made.

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 25 Feb 2010 13:33:28 +0300

=== debian/control ===
Source: kimi
Priority: extra
Section: user/office
Maintainer: Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), autotools-dev, libreadline4-dev, libhildon1-dev, libglib2.0-dev, libdbus-glib-1-dev, libgtk2.0-dev, osso-af-settings, libosso-dev, libconic0-dev, calendar-backend-dev, libcurl4-openssl-dev, libical, libkimi0
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Kimi
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/

Package: kimi-console
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This is console interface to libkimi.
 <insert long description, indented with spaces>

Package: libkimi-google-calendar
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libkimi's module, which supports the google calendar.
 <insert long description, indented with spaces>

Package: libkimi-calendar-backend
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libkimi's module, which supports the calendar backend.
 <insert long description, indented with spaces>

Package: kimi
Section: user/office
Architecture: any
Depends: libkimi0, kimi-hildon, kimi-console, libkimi-calendar-backend, libkimi-google-calendar 
Description: Meta package for Kimi Calendar.
 <insert long description, indented with spaces>

Package: kimi-hildon
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kimi - the calendaring software for Maemo-based mobile devices.
 Kimi - the calendaring software for Maemo-based mobile devices. Kimi can organize events information and gather this information from various sources. The main goal of the project is to develop an application for simple and convinient management of the user's event space. Also the capability of linking contacts with events is planned. 
 Capabilities of the current Kimi version: 
    1. events and memos creation; 
    2. setting the recurrence type and period of event; 
    3. events management; 
    4. setting reminders on events; 
    5. receiving events data from Google Calendar service; 
    6. sharing events using the Google Calendar service; 
 Kimi runs on the Maemo 5 platform at Nokia N900 tablets.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kMAw03EdzPtj0AAAWZSURBVEjH7ZZbjJ1VFcd/a3/fd75zztw6Zzpz
 5sZ0WluwHdppRa3BgbS2RapC64M3UlOIl5IYwPLgBcUYNIaIQqIxMdEIBOUB
 xHpJLDQBGm61lgCDKdiZznSGGZhr53LmzJnz3fby4QztkEg0xkfW4072+u/1
 X2v9/xvei/8x5N8ft7TB7EcguqQ6YzMb1zvakjdptaogoqqIqC6FhpExR+YX
 GxfGxyeGIBqCxkGYmP0vgKq/se1y77PXf4y16zuC3OpVluoqIeWBKoBeuGoV
 SkuCMSmiRGZGxmT6lTPO9G+PlI7PzS/+GJi/AGStFWOMAuTz+T/+8PZk7yd7
 glRttVKVteABDiAogqAKai+iCoAI6hIuCMUSDL9l4s9/vdzXdy68Gjj/joqq
 a+p/9tzDzi3d7y+BohiwsSfHTzqc7A0ZGFHmCga/uha/sQ3N1pNO+wRBgFec
 oSVzhps/Y7S5OQRBnjpRxf5D808uFMPdK4DyO356R3L09i+XfCJkbDbNzx+t
 59G39pFs2Uvtmg2kPYfQwoI1WNUKhbqcQRzcxRniv9zHvdc/wr6dCaTRA7f4
 8vgzdT3np4aeF4Dujak/PP2Qu7++FukdyHLrI9cw0rgfd+t2FNAkudhUWUFD
 ZTbQKALAisOlz3+T+288SnOzMjxSxbrd4a9sXPiqgaaNhz5nNldnkNlFh8MP
 bGboqrtJxZNIsIiIQVwPXA91PazjocZBVVERktiyYfR3NJy4j5QjjDXv4sVX
 IkBYs67M5stSuwFcKFzWtcE0eGl47K8+L4UfpWlVFmnoIDr+MKapA9d1qROh
 VgQRh3/kWqlq3wThElhL3XQvc0NvID1KQXLML/kgFmKrH748yvWe7u50wbZa
 NTV4ym9+X0PjV76ALhVJOrpwrGIHT7E0NYrGEUUbs7P/ZW51fO7cexMLV9+A
 Q4mXL/02yboYMU6FUeMCISi0NKEw7xsI3SROHMI0Z3N7MLU5sAkqAuu24HTv
 wa/Jk3ziawQHfsCRjT3YySEOHv014dQwKoakrgka2lCpDKyqruhoDDhqgCST
 xo5POpQz9aAWEUEAazxaX32Q7+/4E0tj4+ClqTl4F4c7uugpL1J6sx8xTmXw
 lhdZowgNy29PC/OLGWCubIClVIq4vLRCLJZfJEnE2NYv8a3Ru6neth3iiDiK
 cG/7JQf9LA0vPIYz+k90chhVRRTcoEBcDip5BB14M5Lm1s7Vbn0NriCmaXWC
 FKbAmIvroZakoY1U4yUkQRkRAbUk2Tr0e0eQM3/DTPTjtHdhAY1D/Jl+Vq9d
 1ivHyGt9hJ2dm866hZKTCkKcbC5ka/Q0wyNDpFrb0Si4AEZiK3Qv0y7WYl0f
 tuwiQSCJQS1aKpKfOMYV21KgSrGQZmgkOjd47qGCSZLUZG+fX7SL8KPbZsg+
 8xOKo1PEqVpsqgo8H3U8VCqVvr2kohaiEOIIHAfFwz7+C26+bpC2NsBBn3gW
 rLXHqMhlfmy+bD/9xX1xvrMl0Z0bRqRt7gXKfz/O+KuvM913DsplUn4Wm80R
 OxkS45OYNDhptBxS6n2RK964h3v3P8Ge7QnGAlmVO+/xmC113FBcmFhY5iNz
 5cEbM08+8F2bRkKNAwhjI4ka5oIaXh9Qjj3rMDVn8X0PEESEulUe69vL7PxQ
 RFtdgYyviCgYdHw2I1uuLT43dT646h3qXVubv7K9lTsO32Sv3XdNSC4dGRAx
 BsTou1pkRQwFu8I5phZ8PfCdOBwebvzA2b7B197F+DbVVeXmDn1qR/jxXR+U
 tdu7TXVzbjGj4AlixKAsa6kINoqtBnEmGRgqB30jWn7pdE3pz0/pyYnx4C6Y
 O/sfrPxCrAGua23r3NX1vnB9XY1T43legGAc0XJk7fSp00Ey2F+agYVTwAnY
 dApOB+/9kv5v8S82P5PEuQhPmwAAAABJRU5ErkJggg==

## kimi 0.2.2-1

=== debian/changelog ===
kimi (0.2.2-1) unstable; urgency=low

  * Add Hildon 2.2 User Interface

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 25 Feb 2010 13:33:28 +0300

## kimi 0.2.2-2

=== debian/changelog ===
kimi (0.2.2-2) unstable; urgency=low

  * Add settings for modules.

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 27 Apr 2010 15:33:28 +0300

=== debian/control ===
--- 
+++ 
@@ -4,36 +4,50 @@
 Maintainer: Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>
 Build-Depends: debhelper (>= 5), autotools-dev, libreadline4-dev, libhildon1-dev, libglib2.0-dev, libdbus-glib-1-dev, libgtk2.0-dev, osso-af-settings, libosso-dev, libconic0-dev, calendar-backend-dev, libcurl4-openssl-dev, libical, libkimi0
 Standards-Version: 3.7.2
-XB-Maemo-Display-Name: Kimi
 XSBC-Bugtracker: http://oss.fruct.org/bugzilla/
+
+Package:libkimi-dev
+Section: libdevel
+Architecture: any
+Depends: libkimi0 (= ${Source-Version})
+Description: Kimi library manages event creation, remove and select - Development files.
+ Kimi library manages event creation, remove and select - Development files.
+ 
+Package: libkimi0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libical
+Description: Kimi library manages event creation, remove and select.
+ Kimi library manages event creation, remove and select.
 
 Package: kimi-console
 Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: This is console interface to libkimi.
- <insert long description, indented with spaces>
+ This is console interface to libkimi.
 
 Package: libkimi-google-calendar
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Libkimi's module, which supports the google calendar.
- <insert long description, indented with spaces>
+ Libkimi's module, which supports the google calendar.
 
 Package: libkimi-calendar-backend
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Libkimi's module, which supports the calendar backend.
- <insert long description, indented with spaces>
+ Libkimi's module, which supports the calendar backend.
 
 Package: kimi
 Section: user/office
 Architecture: any
 Depends: libkimi0, kimi-hildon, kimi-console, libkimi-calendar-backend, libkimi-google-calendar 
 Description: Meta package for Kimi Calendar.
- <insert long description, indented with spaces>
+ Meta package for Kimi Calendar. Include library libkimi, hildon interface and calendar backend and
+ google calendar modules.
 
 Package: kimi-hildon
 Section: user/office
